Bind a Slack channel to a buyer agent
curl --request POST \
--url https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings"
payload = {
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider: 'slack', teamId: '<string>', channelId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"channelBinding": {
"id": "<string>",
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>",
"principalId": "<string>",
"createdByUserId": "<string>",
"revokedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Buyer Agent Principals
Bind a Slack channel to a buyer agent
Bind one Slack channel to an active buyer agent. This does not grant advertiser access or proactive notification delivery.
POST
/
buyer-agent-principals
/
{principalId}
/
channel-bindings
Bind a Slack channel to a buyer agent
curl --request POST \
--url https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings"
payload = {
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider: 'slack', teamId: '<string>', channelId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"channelBinding": {
"id": "<string>",
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>",
"principalId": "<string>",
"createdByUserId": "<string>",
"revokedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^prin_[A-Za-z0-9_-]{32}$Body
application/json